SUBDIRS = examples

man_MANS = profisis.1

dist_pkgdata_DATA = jctAuto9newHssp990-51 profisisrc.default

dist_bin_SCRIPTS = profisis

CLEANFILES = $(dist_man_MANS)

%.1:	%
	sed -e 's|__docdir__|$(docdir)|g;s|__datadir__|$(datadir)|g;s|__pkgdatadir__|$(pkgdatadir)|g;s|__sysconfdir__|$(sysconfdir)|g;s|__bindir__|$(bindir)|g;s|__VERSION__|$(VERSION)|g' "$<" | \
	pod2man -c 'User Commands' -r "$(VERSION)" -name $(shell tr '[:lower:]' '[:upper:]' <<< "$(basename $@)") > "$@"

clean-local:
	rm -f profisis.1

dist-hook:
	rm -rf `find $(distdir) -name .svn`

install-data-hook:
	find '$(DESTDIR)$(pkgdatadir)/profisisrc.default' -type f -exec sed -i -e 's|__datadir__|$(datadir)|g;s|__docdir__|$(docdir)|g;s|__pkgdatadir__|$(pkgdatadir)|g;s|__sysconfdir__|$(sysconfdir)|g;' '{}' \;

install-exec-hook:
	sed -i -e 's|__docdir__|$(docdir)|g;s|__datadir__|$(datadir)|g;s|__pkgdatadir__|$(pkgdatadir)|g;s|__sysconfdir__|$(sysconfdir)|g;s|__bindir__|$(bindir)|g;s|__VERSION__|$(VERSION)|g' "$(DESTDIR)$(bindir)/profisis"

